#### Previous topic

scipy.cluster.hierarchy.ClusterNode.pre_order

#### Next topic

scipy.cluster.hierarchy.to_tree

# scipy.cluster.hierarchy.leaves_list

`scipy.cluster.hierarchy.``leaves_list`(Z)

  Returns a list of leaf node ids

  The return corresponds to the observation vector index as it appears in the tree from left to right. Z is a linkage matrix.

  Parameters:

  Z : ndarray

  > The hierarchical clustering encoded as a matrix. Z is a linkage matrix. See `linkage` for more information.

  Returns:

  leaves_list : ndarray

  > The list of leaf node ids.